import React, {useState} from 'react';
import {
    Routes,
    Route,
} from "react-router-dom";
import {Menu} from './components/Menu/Menu';
import {Home} from "./components/Home/Home";
import {Brigade} from "./components/Brigade/Brigade";
import {Construction} from "./components/Construction/Construction";
import {Orders} from "./components/Orders/Orders";
import {Note} from "./components/Note/Note";
import {BrigadeForm} from "./components/Brigade/BrigadeForm";
import {BrigadeEdit} from "./components/Brigade/BrigadeEdit";
interface User {
    id: string;
    name:string;
    description: string;
    dateOfCreation: string;
    size: string
}


function App() {
    const user1= {
        id: "aaa",
        name:"wwww",
        description: "qqqqq",
        dateOfCreation: "zzzz",
        size: "1"
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const [user, setUser]= useState<User>(user1)
    console.log(user)
    return (
        <div className="flex">
            <Menu/>
            <div className='m-5'>
                <Routes >
                    <Route path="/" element={<Home/>} />
                    <Route path="brygady" element={<Brigade setUser={setUser}/>}/>
                    <Route path="brygady/new" element={<BrigadeForm/>}/>
                    <Route path="/brygady/edit/:id" element={<BrigadeEdit {...user}/>}/>
                    <Route path={'Budowy'} element={<Construction/>}/>
                    <Route path={'/zlecenia'} element={<Orders/>}/>
                    <Route path={'/notatnik'} element={<Note/>}/>
                </Routes>
            </div>

        </div>
    )
}

export default App;
