import React, {useState} from "react";
import {Link} from "react-router-dom";

export function BrigadeForm(){
    const [name, setName] = useState('');
    const [description, setDescription] = useState('');
    const [dateOfCreation, setDateOfCreation] = useState('')
    const [size, setSize] = useState('')

    return (

        <div className="m-6">

            <div className="w-full ">

                <form className="w-full ">

                    <div className=" -mx-3 mb-6 border-2  p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                        <h1 className="mb-2 flex justify-center">Nowa brygada</h1>
                        <div className="w-full  px-3 mb-6 md:mb-0 ">
                            <label className="block tracking-wide text-gray-700   mb-2"
                                   htmlFor="name">
                                Nazwa
                            </label>
                            <input
                                className="w-80 appearance-none block w-300 bg-gray-100 text-gray-700 border border-gray-500 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white"
                                id="name"
                                type="text"
                                value={name}
                                onChange={(event => setName(event.target.value))}
                            />
                        </div>
                        <div className="w-full px-3 mb-6 md:mb-0">
                            <label className="block tracking-wide text-gray-700   mb-2"
                                   htmlFor="description">
                                Opis
                            </label>
                            <input
                                className="appearance-none block w-full bg-gray-100 text-gray-700 border border-gray-500 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white"
                                id="name"
                                type="text"
                                value={description}
                                onChange={(event => setDescription(event.target.value))}
                            />
                        </div>
                        <div className="w-full px-3 mb-6 md:mb-0">
                            <label className="block tracking-wide text-gray-700   mb-2"
                                   htmlFor="dateOfCreation">
                                Data powstania
                            </label>
                            <input
                                className="appearance-none block w-full bg-gray-100 text-gray-700 border border-gray-500 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white"
                                id="dateOfCreation"
                                type="date"
                                value={dateOfCreation}
                                onChange={(event => setDateOfCreation(event.target.value))}
                            />
                        </div>
                        <div className="w-full  px-3 mb-6 md:mb-0">
                            <label className="block tracking-wide text-gray-700   mb-2"
                                   htmlFor="size">
                                Nazwa
                            </label>
                            <input
                                className="appearance-none block w-full bg-gray-100 text-gray-700 border border-gray-500 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white"
                                id="size"
                                type="text"
                                value={size}
                                onChange={(event => setSize(event.target.value))}
                            />
                        </div>
                        <div className="flex justify-end content-end " >
                            <Link
                                to={"/brygady"}

                                className=" bg-green-200 hover:bg-green-500 text-green-700 font-semibold hover:text-white py-2 px-4 border border-green-500 hover:border-transparent rounded text-sm m-2"
                                onClick={async ()=>{
                                    try {
                                        console.log(name)
                                        await fetch('http://localhost:3001/brigade', {
                                            method: 'POST',
                                            headers: {
                                                'Content-Type': 'application/json',


                                            },
                                            body: JSON.stringify( {name, description, dateOfCreation, size})

                                        })
                                    }catch (e) {

                                    }

                                }}
                            >

                                Zapisz
                            </Link>
                            <Link
                                to={"/brygady"}
                                className=" bg-red-200 hover:bg-red-500 text-red-700 font-semibold hover:text-white py-2 px-4 border border-red-500 hover:border-transparent rounded text-sm m-2"
                                onClick={(()=>{ } )}
                            >Zamknij
                            </Link>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    )
}
