import React, { useState} from "react"
import left_arrow from "../../assets/icons/left-arrow.png";
import logo from "../../assets/icons/logo.png";
import {Menus} from "../../setings/menu";
import {setings} from "../../setings/setings";
import {Link} from "react-router-dom";


export const Menu = () => {
    const [open, setOpen] = useState<boolean>(true)

    return(
        <>
            <div className={`${open? 'w-60' : 'w-20'}  duration-300 h-screen p-4  bg-dark-purple relative flex-shrink `}>
                <img

                    src={left_arrow}
                    alt="eee"
                    className={` absolute cursor-pointer -right-3  w-6  border-2 rounded-full border-dark-purple ${!open && 'rotate-180'}`}
                    onClick={(() => setOpen(!open))}
                />
                <Link
                    className="flex gap-x-8 items-center cursor-pointer"
                    to={'/'}
                >
                    <img
                        src={logo} alt="logo"
                        className={` duration-300 shrink-0 ${!open && 'rotate-180'}`}
                    />
                    <h1
                        className={`text-white origin-left font-medium  duration-300 ${!open && "scale-0"} shrink-0 text-xl`}
                    >
                        {setings.companyName}
                    </h1>
                </Link>
                <nav className={"pt-8"}>
                    {Menus.map((menu, index) => (
                        <Link
                            key={index}
                            className={`text-gray-300 text-sm flex items-center gap-x-4 cursor-pointer p-2 hover:bg-light-white rounded-md ${menu? "mt-9": "mt-2"}`}
                            to={`/${menu.title}`}
                        >
                            <img
                                src={menu.src} alt={`${index}`}
                                className="h-6"
                            />
                            <span
                                className={`${!open &&  "scale-0" } orgin-left duration-200 font-semibold `}
                            >
                          {menu.title}
                      </span>

                        </Link>
                    ))}
                </nav>
            </div>
        </>
    )

}